REPODIFF(1)

NUME
repodiff - redirecționează către modulul „repodiff” al DNF

Afișează o listă de diferențe între două sau mai multe depozite

REZUMAT

dnf repodiff [<opțiuni>]

DESCRIERE

repodiff este un program care va lista diferențele dintre două seturi de depozite. Rețineți că, în mod implicit, sunt comparate numai pachetele sursă.

  Opțiuni

Toate opțiunile generale DNF sunt acceptate, a se vedea Opțiuni în dnf(8) pentru detalii.

    --repo-old=<identificator-depozit>, -o <identificator-depozit>
        Adaugă un <identificator-depozit> ca un depozit vechi. Este posibil să fie utilizată împreună cu opțiunea --repofrompath. Poate fi specificată de mai multe ori.

    --repo-new=<identificator-depozit>, -n <identificator-depozit>
        Adaugă un <identificator-depozit> ca un nou depozit. Poate fi specificată de mai multe ori.

    --archlist=<arhitectura>, -a <arhitectura>
        Adaugă arhitecturi pentru a schimba opțiunea implicită de la simpla comparare a pachetelor sursă. Rețineți că puteți utiliza un caracter joker „*” pentru toate arhitecturile. Poate fi specificat de mai multe ori.

    --size, -s
        Afișează date suplimentare referitoare la dimensiunea modificărilor.

    --compare-arch
        În mod normal, pachetele sunt comparate doar pe baza numelui lor, dar această opțiune face ca această comparare să folosească și arhiva. Astfel, foo.noarch și foo.x86_64 sunt considerate ca fiind pachete diferite.

    --simple
        Afișează un mesaj simplu de o linie pentru pachetele modificate.

    --downgrade
        Împarte datele pentru pachetele modificate între pachetele actualizate și cele retrogradate.

EXEMPLE

Compară pachetele sursă din două depozite locale:

        ^".ft C$
        dnf repodiff --repofrompath=o,/tmp/repo-old --repofrompath=n,/tmp/repo-new --repo-old=o --repo-new=n
        ^".ft P$

Compară pachetele binare compatibile x86_64 din două depozite la distanță și două locale:

        ^".ft C$
        dnf repodiff --repofrompath=o,http://example.com/repo-old --repofrompath=n,http://example.com/repo-new --repo-old=o --repo-new=n --archlist=x86_64
        ^".ft P$

Compară pachetele binare compatibile cu x86_64, dar compară de asemenea și arhitectura:

        ^".ft C$
        dnf repodiff --repofrompath=o,http://example.com/repo-old --repofrompath=n,http://example.com/repo-new --repo-old=o --repo-new=n --archlist=x86_64 --compare-arch
        ^".ft P$

AUTOR
Consultați AUTORI în distribuția dumneavoastră Core DNF Plugins

DREPTURI DE AUTOR
2023, Red Hat, Licențiat sub GPLv2+

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.